Linking DLL for lisp

Discussion in 'AutoCAD' started by Laurie Comerford, Jul 5, 2003.

  1. Hi,

    I have a DLL containing a number of string handling functions which I wish
    to call from lisp.

    How do I go about linking the DLL to my lisp program ?

    How do I call it ?

    In VBA, I simply attach it using the [Tools][References]

    Then I have lines such as:

    Dim Mydll As MydllProgram

    Set Mydll = New MydllProgram
    ReturnString = Mydll (PassedString)


    --


    Laurie Comerford
    CADApps
    www.cadapps.com.au
     
    Laurie Comerford, Jul 5, 2003
    #1
  2. Something like this

    (setq acd (vlax-get-acad-object))
    (setq srv (vlax-invoke acd "getinterfaceobject" "your dll.class"))
    (setq ret (vlax-invoke srv "your dll function"))
     
    Jorge Jimenez, Jul 5, 2003
    #2
  3. check out acadx.com for nice explanation

    "Laurie Comerford" <>
    |>Hi,
    |>
    |>I have a DLL containing a number of string handling functions which I wish
    |>to call from lisp.
    |>
    |>How do I go about linking the DLL to my lisp program ?
    |>
    |>How do I call it ?
    |>
    |>In VBA, I simply attach it using the [Tools][References]
    |>
    |>Then I have lines such as:
    |>
    |>Dim Mydll As MydllProgram
    |>
    |> Set Mydll = New MydllProgram
    |> ReturnString = Mydll (PassedString)

    James Maeding
    Civil Engineer/Programmer
     
    James Maeding, Jul 10, 2003
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.